Package org.apache.jmeter.gui

# Interface TreeState

All Known Implementing Classes:
  `TreeState.TreeStateImpl`

public interface TreeState

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final class`
  `TreeState.TreeStateImpl`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TreeState`
  `NOTHING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TreeState`
  `from(GuiPackage guiPackage)`
  Save tree expanded and selected state
  `void`
  `restore(GuiPackage guiInstance)`
  Restore tree expanded and selected state

- ## Field Details

  - ### NOTHING

    static final TreeState NOTHING

- ## Method Details

  - ### restore

    void restore(GuiPackage guiInstance)
    Restore tree expanded and selected state
    Parameters:
      `guiInstance` - GuiPackage to be used

  - ### from

    static TreeState from(GuiPackage guiPackage)
    Save tree expanded and selected state
    Parameters:
      `guiPackage` - `GuiPackage` to be used
    Returns:
      `TreeState`